Display information about allocatable global outbound channels for the current user.
Display information about allocatable global outbound channels for the current user. Only usable by account managers.
GET
/
managed_accounts
/
allocatable_global_outbound_channels
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.managedAccounts.getAllocatableGlobalOutboundChannels();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.managed_accounts.get_allocatable_global_outbound_channels()
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ManagedAccounts.GetAllocatableGlobalOutboundChannels(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountGetAllocatableGlobalOutboundChannelsParams;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountGetAllocatableGlobalOutboundChannelsResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ManagedAccountGetAllocatableGlobalOutboundChannelsResponse response = client.managedAccounts().getAllocatableGlobalOutboundChannels();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.managed_accounts.get_allocatable_global_outbound_channels
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->managedAccounts->getAllocatableGlobalOutboundChannels();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx managed-accounts get-allocatable-global-outbound-channels \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/managed_accounts/allocatable_global_outbound_channels \
--header 'Authorization: Bearer <token>'{
"data": {
"allocatable_global_outbound_channels": 500,
"record_type": "allocatable_global_outbound_channels",
"total_global_channels_allocated": 135
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response with information about allocatable global outbound channels.
Show child attributes
Show child attributes
Example:
{
"allocatable_global_outbound_channels": 500,
"record_type": "allocatable_global_outbound_channels",
"total_global_channels_allocated": 135
}Was this page helpful?
Update the amount of allocatable global outbound channels allocated to a specific managed account.
Previous
List organization users
Next
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.managedAccounts.getAllocatableGlobalOutboundChannels();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.managed_accounts.get_allocatable_global_outbound_channels()
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ManagedAccounts.GetAllocatableGlobalOutboundChannels(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountGetAllocatableGlobalOutboundChannelsParams;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountGetAllocatableGlobalOutboundChannelsResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ManagedAccountGetAllocatableGlobalOutboundChannelsResponse response = client.managedAccounts().getAllocatableGlobalOutboundChannels();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.managed_accounts.get_allocatable_global_outbound_channels
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->managedAccounts->getAllocatableGlobalOutboundChannels();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx managed-accounts get-allocatable-global-outbound-channels \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/managed_accounts/allocatable_global_outbound_channels \
--header 'Authorization: Bearer <token>'{
"data": {
"allocatable_global_outbound_channels": 500,
"record_type": "allocatable_global_outbound_channels",
"total_global_channels_allocated": 135
}
}